.visit-ship {
  text-align: center;
  padding: 8rem 0;
  background: #f7f7f7;
}
.visit-ship__title {
  font-size: 6.8rem;
  color: #021859;
  font-weight: 700;
  margin-bottom: 1rem;
  font-family: "LibreBaskerville-Bold";
}
.shop-block {
  text-align: center;
  padding: 5rem 0rem;
  background: #fff;
}
.shop-title-block {
  font-size: 4.8rem;
  color: #021859;
  margin-bottom: 0rem;
  font-family: "LibreBaskerville-Bold";
  font-weight: 700;
  text-align: left;
}
.shop-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 4rem;
  justify-items: center;
  margin-top: 4rem;
}
.shop-grid img {
  width: 100%;
  height: 41rem;
  border-radius: 1.6rem;
  cursor: pointer;
  transition: transform 0.3s ease;
  object-fit: cover;
}
.shop-grid-item {
  width: 100%;
  position: relative;
}

.product-body .add-to-basket {
  width: 100%;
}
.breadcrumbs {
  font-family: sans-serif;
  font-size: 16px;
  display: flex;
  align-items: center;
}

.breadcrumbs ol {
  list-style: none;
  display: flex;
  gap: 8px;
  margin: 0;
  padding: 0;
}

.breadcrumbs li {
  display: flex;
  align-items: center;
  color: #021859; /* тёмно-синий для обычного текста */
  font-family: "WorkSans";
  font-weight: 400;
  font-size: 1.6rem;
}

.breadcrumbs li a {
  color: #021859;
  text-decoration: none;
  font-weight: 500;
  transition: color 0.2s ease;
}

.breadcrumbs li a:hover {
  color: #049dbf;
}

.breadcrumbs li + li::before {
  content: "›";
  color: #021859;
  margin-right: 1rem;
  font-size: 2.2rem;
}
.category-select {
  display: flex;
  flex-direction: column;
}

.breadcrumbs li span {
  color: #049dbf;
  font-weight: 600;
}
.shop-head {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.category-select__dropdown {
  width: 40rem;
  height: 5.3rem;
  padding: 1rem 1.5rem;
  font-size: 2rem;
  border: 1px solid #021859;
  border-radius: 0.6rem;
  background-color: #fff;
  color: #021859;
  appearance: none;
  background-image: url("data:image/svg+xml;utf8,<svg fill='%23021859' xmlns='http://www.w3.org/2000/svg' width='16' height='10'><path d='M1 1l7 7 7-7'/></svg>");
  background-repeat: no-repeat;
  background-position: right 1.2rem center;
  background-size: 1.2rem;
  cursor: pointer;
  line-height: 2rem;
  font-family: "WorkSans-SemiBold";
  font-weight: 600;
}
.category-select__label {
  text-align: left;
  font-family: "WorkSans-SemiBold";
  font-weight: 600;
  font-size: 2rem;
  color: #021859;
  margin-bottom: 0.5rem;
}

.category-select__dropdown:hover,
.category-select__dropdown:focus {
  border-color: #5fcdd9;
  outline: none;
}
.nav {
  position: absolute;
  top: 50%;
  width: 66%;
  display: flex;
  justify-content: space-between;
  transform: translateY(-50%);
}
.nav button {
  background: none;
  border: none;
  color: #fff;
  cursor: pointer;
  transition: opacity 0.3s;

  color: #000512;
  border-radius: 50%;
  width: 6.4rem !important;
  height: 6.4rem !important;
  display: block;
  background: #fff;
  padding: 0;
}
.nav button svg {
  width: 5rem;
  height: 5rem;
}
.nav button:hover {
  opacity: 0.7;
}
.pagination {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0;
  font-family: sans-serif;
  padding-top: 6rem;
}
.pagination ul {
  list-style: none;
  display: flex;
  gap: 0.5rem;
  padding: 0;
  margin: 0;
}
.pagination li a {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 5.3rem;
  height: 5.3rem;
  border: 1px solid #093773;
  border-radius: 0.6rem;
  text-decoration: none;
  font-size: 1.8rem;
  transition: all 0.2s ease;
  font-family: "WorkSans";
  color: #021859;
}
.pagination li a:hover {
  background-color: #e6ebf5;
}
.pagination li.active a {
  background-color: #001a66;
  color: #fff;
  border-color: #001a66;
}
.pagination li.disabled a {
  color: #aaa;
  border-color: #ddd;
  cursor: not-allowed;
  background-color: #f4f4f4;
}

li.disabled {
  align-content: flex-end;
  font-size: 1rem;
}

li.disabled span {
  font-size: 2rem;
}
@media (min-width: 375px) and (max-width: 834px) {
  .pagination ul li {
    display: block !important;
  }

  .pagination ul li:nth-child(3)::after {
    display: none !important;
  }
}
